/* TableStyleDark3.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleDark3
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleDark3 extends TableStyleImpl {
	private TableStyleDark3() {
		super(
				"TableStyleDark3",	//name,
				D3_Whole_Table, 	//wholeTable,
				D3_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				D3_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				D3_Last_Col, 	//lastCol,
				D3_First_Col,	//firstCol,
				D3_Header_Row,	//headerRow,
				D3_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	private static final ExtraFillImpl D3_General_Fill =
			new ExtraFillImpl(FillPattern.SOLID, "953735", "953735"); //ZSS-1162
	private static final STableStyleElem D3_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				D3_General_Fill, 	//fill
				null	//border
			);

	private static final STableStyleElem D3_Row_Stripe1 =
			D3_Col_Stripe1;
	private static final BorderLineImpl D3_Border_Line =
			new BorderLineImpl(BorderType.MEDIUM, "FFFFFF");
	private static final STableStyleElem D3_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				D3_General_Fill,	//fill
				new BorderImpl(
						D3_Border_Line, //left 
						null, //top 
						null, //right
						null, //bottom
						null, //diagonal
						null, //vertical
						null  //horizontal
				)
			);
	private static final STableStyleElem D3_First_Col =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
						false /*fontStrikeout*/, Underline.NONE), 			//font
					D3_General_Fill,	//fill
					new BorderImpl(
							null, //left 
							null, //top 
							D3_Border_Line, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
				);
	private static final STableStyleElem D3_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "632523", "632523"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							D3_Border_Line, //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem D3_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "000000", "000000"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							null, //top
							null, //right
							D3_Border_Line, //bottom 
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem D3_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "C0504D", "C0504D"),//fill //ZSS-1162
					null  //border
			);

	public static final TableStyleDark3 instance = new TableStyleDark3();
}
